Package com.sun.jna.platform.win32

## Class WinNT.IO_COUNTERS

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinNT.IO_COUNTERS

- Enclosing interface:
    WinNT

      @FieldOrder({"ReadOperationCount","WriteOperationCount","OtherOperationCount","ReadTransferCount","WriteTransferCount","OtherTransferCount"})
      public static class WinNT.IO_COUNTERS
      extends Structure

  The IO_COUNTERS structure contains I/O accounting information for a process or a job object. For a job object, the counters include all operations performed by all processes that have ever been associated with the job, in addition to all processes currently associated with the job.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `long` | `OtherOperationCount` | The number of I/O operations performed, other than read and write operations.
    `long` | `OtherTransferCount` | The number of bytes transferred during operations other than read and write operations.
    `long` | `ReadOperationCount` | The number of read operations performed.
    `long` | `ReadTransferCount` | The number of bytes read.
    `long` | `WriteOperationCount` | The number of write operations performed.
    `long` | `WriteTransferCount` | The number of bytes written.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IO_COUNTERS()` |
    `IO_COUNTERS​(Pointer memory)` |

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ReadOperationCount

          public long ReadOperationCount

      The number of read operations performed.

    - #### WriteOperationCount

          public long WriteOperationCount

      The number of write operations performed.

    - #### OtherOperationCount

          public long OtherOperationCount

      The number of I/O operations performed, other than read and write operations.

    - #### ReadTransferCount

          public long ReadTransferCount

      The number of bytes read.

    - #### WriteTransferCount

          public long WriteTransferCount

      The number of bytes written.

    - #### OtherTransferCount

          public long OtherTransferCount

      The number of bytes transferred during operations other than read and write operations.

  - ### Constructor Detail

    - #### IO_COUNTERS

          public IO_COUNTERS()

    - #### IO_COUNTERS

          public IO_COUNTERS​(Pointer memory)